FLANG

Public Types | List of all members
Fortran::evaluate::host::BiggerOrSameHostTypeHelper< Type< TypeCategory::Real, KIND > > Struct Template Reference

## Public Types
using | T = Fortran::evaluate::Type< TypeCategory::Real, KIND >
using | NextT = typename NextBiggerReal< TypeCategory::Real, KIND >::Type
using | Type = std::conditional_t< HostTypeExists< T >(), HostType< T >, typename BiggerOrSameHostTypeHelper< NextT >::Type >
using | FortranType = std::conditional_t< HostTypeExists< T >(), T, typename BiggerOrSameHostTypeHelper< NextT >::FortranType >

The documentation for this struct was generated from the following file:

- lib/Evaluate/host.h